#include<iostream>
#include<vector>
#include<algorithm>
#include<map>
#include<queue>
#include<set>

using namespace std;
using ll = long long;

int main() {
	string k;
	cin >> k;
	int n = k.size();
	vector <int> otvet(n+1);
	for (int i = 0; i <= n; i++) {
			if (k[i] == '1') {
			otvet[n - i] = 1;
			}
			if (k[i] == '2') {
				otvet[n - i] = 5;
			}
			if (k[i] == '3') {
				otvet[n - i] = 3;
			}
			if (k[i] == '4') {
				otvet[n - i] = 4;
			}
			if (k[i] == '5') {
				otvet[n - i] = 2;
			}
			if (k[i] == '6') {
				otvet[n - i] = 6;
			}
			if (k[i] == '7') {
				otvet[n - i] = 7;
			}
			if (k[i] == '8') {
				otvet[n - i] = 8;
			}
			if (k[i] == '9') {
				otvet[n - i] = 9;
			}
	}
	bool flag = false;
		for (int i = 1; i < otvet.size(); i++) {
			if (flag == true) {
				cout << otvet[i];
			}
			if (otvet[i] != 0 && flag == false) {
				cout << otvet[i];
				flag = true;
			}

		}
	
	
}